%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
#
# spec file for package python-lz4
#
# Copyright (c) 2013 .
#

Name:           python-lz4
Version:        0.6.0
Release:        0%{?dist}
Url:            https://github.com/steeve/python-lz4
Summary:        LZ4 Bindings for Python
License:        GPLv2+
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/source/l/lz4/lz4-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  python-devel python-setuptools

%description
This package provides bindings for the lz4 compression library
http://code.google.com/p/lz4/ by Yann Collet.

%prep
%setup -q -n lz4-%{version}

%build
export CFLAGS="%{optflags}"
%{__python} setup.py build

%install
%{__python} setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst
%{python_sitearch}/*

%changelog
* Sun Dec 8 2013 Stephen Gauthier <sgauthier@spikes.com> - 0.60.0-0
- First version for Fedora Extras
